package com.zd.netty.service;

import com.zd.system.api.laboratory.domain.RemoteLabHardware;

/**
 * RFID接口类
 * @author Administrator
 */
public interface IService {

    /**
     * 启动RFID读写器
     * @param hardware 设备数据
     */
    void start(RemoteLabHardware hardware);

    /**
     * 断开RFID读写器
     * @param hardware 设备数据
     */
    void disconnect(RemoteLabHardware hardware);

    /**
     * 启动警报
     * @param hardware 设备数据
     * @return boolean
     */
    boolean alarm(RemoteLabHardware hardware);
}
